Bug 1496269 - Need to fix yaml markup for email configuration
Summary: Need to fix yaml markup for email configuration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.11
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: csherrar
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 20:36 UTC by mharris
Modified: 2019-09-26 18:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 13:20:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description mharris 2017-09-26 20:36:32 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#configuring_satellite_outgoing_emails

Section Number and Name: 

3.5.6. Configuring Satellite Server for Outgoing Emails

Describe the issue: 

--- Begin Current ---
Alternatively, add the following directive to /etc/foreman/email.yaml under smtp_settings:

enable_starttls_auto: :false
--- End Current ---

Suggestions for improvement: 

I have determined that the following doesn't work:

  enable_starttls_auto: :false 

In order to fix this error, I made the following change:

  enable_starttls_auto: false

(NOTICE: removed second colon)



Additional information:

Comment 1 mharris 2017-09-26 20:46:15 UTC
So, I'm pretty sure this config worked in 6.2.9, but hasn't worked since the upgrade to 6.2.10, 6.2.11, and 6.2.12

I know:   'enable_starttls_auto: : false' appears elsewhere in the document as well as 'enable_starttls_auto: :true'

I don't have time to test all config settings in this area, but maybe someone with more yaml and Satellite Configuration experience than me, can take a quick look, and determine if anything else in the documentation needs to change.

Comment 2 Andrew Dahms 2017-11-09 01:37:22 UTC
Assigning to Clifton for review.

Clifton - looks like a quick fix, but let's reach out to the engineering team related to this work and see if they have any comments.

Comment 6 Andrew Dahms 2017-11-14 13:20:39 UTC
This change is live on the Customer Portal.

Closing.

Comment 7 Andrew Dahms 2017-12-11 01:49:55 UTC
Updating the target milestone to reflect the time frame in which this work was completed.


Note You need to log in before you can comment on or make changes to this bug.